Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 176320 - [68cat] can't click on the code hint.
[68cat] can't click on the code hint.
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Hints
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Max Sauer
issues@java
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-09 20:38 UTC by nleck
Modified: 2010-01-25 09:25 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
screen shot (123.66 KB, image/png)
2009-11-09 20:38 UTC, nleck
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nleck 2009-11-09 20:38:13 UTC

    
Comment 1 nleck 2009-11-09 20:38:40 UTC
Created attachment 90646 [details]
screen shot
Comment 2 nleck 2009-11-09 20:39:43 UTC
When I click on the hint it sets a break point. 

There is no way of clicking on the hint any more.
Comment 3 David Strupl 2009-11-10 08:37:12 UTC
I will check this.
Comment 4 nleck 2009-11-29 21:06:15 UTC
Still reproducible in 6.8rc1. Makes hints useless.
Comment 5 David Strupl 2009-11-30 01:56:32 UTC
I have just tried in RC1. Makes one particular type of hint useless - only the one with empty statement (at least from my current testing). Did you see it with other types of hints as well?
Comment 6 David Strupl 2009-11-30 02:01:21 UTC
The empty statement hint behaves really strangely - it keeps vanishing after a while. Max, can you please check it?
Comment 7 nleck 2009-11-30 02:22:04 UTC
I didn't check more than the "empty statement" hint, it was just the quickest way to reproduce the problem. 

It was something that was only broken relatively recently.
Comment 8 Max Sauer 2009-11-30 08:01:51 UTC
Fixed.
---
http://hg.netbeans.org/jet-main/rev/e2b75ca6b95d
Comment 9 Quality Engineering 2009-12-01 03:05:11 UTC
Integrated into 'main-golden', will be available in build *200912010200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e2b75ca6b95d
User: Max Sauer <msauer@netbeans.org>
Log: #176320 : cant click on the code hint
Comment 10 nleck 2009-12-10 21:55:16 UTC
This isn't fixed in 6.8 should it be ?
Comment 11 Max Sauer 2009-12-11 02:28:21 UTC
No, unfortunately not. This issue was not enough serious to rebuild RC. I'll make it part of patch released in early February (http://wiki.netbeans.org/NetBeansPatchesProcess).
Comment 12 Peter Pis 2010-01-13 04:27:15 UTC
Verified.

Product Version: NetBeans IDE Dev (Build 201001120200)
Comment 13 pgebauer 2010-01-14 05:00:55 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/20b744efdcf6
Comment 14 Peter Pis 2010-01-25 09:25:52 UTC
V.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo